<?php

namespace app\admin\logic\Customer;

use app\common\model\Customer\CustomerMessage as ModelCustomerMessage;
use app\common\model\Customer\Customer as ModelCustomer;
use app\common\exception\Tool;
use app\common\arw\adjfut\src\Traverse;


class CustomerMessage
{
    /**
     * 新增客户消息处理
     * 
     * @param array $params 新增客户消息参数
     * @return void
     * @date 2023-08-01
     * @author xjh
     * @since 1.0.0
     */
    public static function create(array $params): void
    {
        $params = Tool::filtrationAssociativeArray($params, [
            'customer_message_title',
            'customer_message_content',
            'customer_message_postscript',
            'customer_message_reading_status',
            'customer_guid',
            'customer_message_guid',
            'customer_message_create_user_guid',
            'customer_message_update_user_guid',
            'customer_all',
        ]);
        //全部人发送消息
        if ($params['customer_all']) {
            $customer_guids = ModelCustomer::column('customer_guid');
            foreach ($customer_guids as $customer_guid) {
                $params['customer_guid'] = $customer_guid;
                ModelCustomerMessage::create($params);
            }
        }
        //指定客户发送消息
        else {
            if (!isset($params['customer_guid']) || !$params['customer_guid']) {
                throwErrorMsg("非全部人发送，则需要指定客户");
            }
            ModelCustomerMessage::create($params);
        }
    }
}