<?php

namespace app\common\logic\Code;

use app\common\model\Code\CodeModule as ModelCodeModule;
use app\common\model\Code\CodeModuleCategory as ModelCodeModuleCategory;
use app\common\model\Token as ModelToken;


class CodeModule
{

    /**
     * 代码块新增前客户guid处理
     * 
     * @param ModelCodeModule $model
     * @return array
     * @date 2023-08-02
     * @author xjh
     * @since 1.0.0
     */
    public static function onBeforeCustomerGuid(ModelCodeModule $model): void
    {
        $category = ModelCodeModuleCategory::scope('notMaster')->find($model->code_module_category_guid);
        if (!$category) {
            throwErrorMsg("当前代码块所属类目不存在!");
        }
        $model->customer_guid = $category->customer_guid;
    }
}